<refentry id="marker.section.level">
<refmeta>
<refentrytitle>marker.section.level</refentrytitle>
<refmiscinfo role="type">integer</refmiscinfo>
</refmeta>
<refnamediv>
<refname>marker.section.level</refname>
<refpurpose>Control depth of sections shown in running headers or footers</refpurpose>
</refnamediv>

<refsynopsisdiv>
<src:fragment id='marker.section.level.frag'>
<xsl:param name="marker.section.level" select="2"/>
</src:fragment>
</refsynopsisdiv>

<refsect1><title>Description</title>

<para>The <parameter>marker.section.level</parameter> parameter
controls the depth of section levels that may be displayed
in running headers and footers.  For example, if the value
is 2 (the default), then titles from <sgmltag>sect1</sgmltag> and 
<sgmltag>sect2</sgmltag> or equivalent <sgmltag>section</sgmltag>
elements are candidates for use in running headers and
footers.
</para>
<para>Each candidate title is marked in the FO output with a
<sgmltag>&lt;fo:marker marker-class-name="section.head.marker"&gt;</sgmltag>
element.
</para>
<para>In order for such titles to appear in headers
or footers, the <literal>header.content</literal>
or <literal>footer.content</literal> template
must be customized to retrieve the marker using
an output element such as:
</para>
<programlisting>
&lt;fo:retrieve-marker retrieve-class-name="section.head.marker"
                       retrieve-position="first-including-carryover"
                       retrieve-boundary="page-sequence"/&gt;
</programlisting>


</refsect1>
</refentry>
